#include "std.mi"

Global Group            grpVUmeter;

Global Layer            lyrVUleft1;
Global Layer            lyrVUleft2;
Global Layer            lyrVUright1;
Global Layer            lyrVUright2;

Global Timer            tmrVULevel;

Global Int              intLevel;

System.onScriptLoaded() {
	grpVUmeter 		= getScriptGroup();
	lyrVUleft1 		= grpVUmeter.getobject("vu.left1");
	lyrVUleft2 		= grpVUmeter.getobject("vu.left2");
	lyrVUright1		= grpVUmeter.getobject("vu.right1");
	lyrVUright2		= grpVUmeter.getobject("vu.right2");
	
	tmrVULevel = new Timer;
	tmrVULevel.setDelay(50);
	
	if (getStatus() != 0) {
		tmrVULevel.start();
	}
	else {
		lyrVUleft1.setAlpha(0);
		lyrVUleft2.setAlpha(0);
		lyrVUright1.setAlpha(0);
		lyrVUright2.setAlpha(0);
	}
}

System.onScriptUnloading() {
	delete tmrVULevel;
}

tmrVULevel.onTimer() {
	int Left  = getLeftVuMeter();
	int Right = getRightVuMeter();
	
	lyrVUleft1.setAlpha(255 - Left);
	lyrVUleft2.setAlpha(Left);
	lyrVUright1.setAlpha(191 - (Right - 64));
	lyrVUright2.setAlpha(64 + (Right - 64 ));
}

System.onStop() {
	lyrVUleft1.setAlpha(0);
	lyrVUleft2.setAlpha(0);
	lyrVUright1.setAlpha(0);
	lyrVUright2.setAlpha(0);
	
	tmrVULevel.stop();
}

System.onPlay() {
	tmrVULevel.Start();
}